Package: org.apache.groovy.contracts

## [Java] Class PostconditionViolation

- org.apache.groovy.contracts.PostconditionViolation

-     public class PostconditionViolation
      extends AssertionViolation

  Thrown whenever a postcondition violation occurs.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PostconditionViolation()`
    `PostconditionViolation(Object o)`
    `PostconditionViolation(boolean b)`
    `PostconditionViolation(char c)`
    `PostconditionViolation(int i)`
    `PostconditionViolation(long l)`
    `PostconditionViolation(float v)`
    `PostconditionViolation(double v)`

- - ### Constructor Detail

    - #### public PostconditionViolation()

    - #### public PostconditionViolation(Object o)

    - #### public PostconditionViolation(boolean b)

    - #### public PostconditionViolation(char c)

    - #### public PostconditionViolation(int i)

    - #### public PostconditionViolation(long l)

    - #### public PostconditionViolation(float v)

    - #### public PostconditionViolation(double v)